Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# ObstaclesLocatorInterfaces Class Reference

The interfaces of the ObstaclesLocator module. More...

`#include <ObstaclesLocator.h>`

Inheritance diagram for ObstaclesLocatorInterfaces:

[legend]
Collaboration diagram for ObstaclesLocatorInterfaces:

[legend]
List of all members.

## Public Member Functions
| ObstaclesLocatorInterfaces (const ObstaclesPercept &obstaclesPercept, const LinesPercept &linesPercept, const LandmarksPercept &landmarksPercept, const PSDPercept &psdPercept, const CameraMatrix &cameraMatrix, const OdometryData &odometryData, const PlayerPoseCollection &playerPoseCollection, const RobotPose &robotPose, const BallModel &ballModel, const GTCamWorldState &gtCamWorldState, ObstaclesModel &obstaclesModel)
| Constructor.
## Protected Attributes
const ObstaclesPercept & | obstaclesPercept
| A detected player.
const LandmarksPercept & | landmarksPercept
| A landmarks percept.
const LinesPercept & | linesPercept
| A lines percept.
const PSDPercept & | psdPercept
| An object detected with the PSD sensor.
const CameraMatrix & | cameraMatrix
| A detected player.
const OdometryData & | odometryData
| The odometry data that was calculated by the motion modules.
const PlayerPoseCollection & | playerPoseCollection
| The poses of the other players.
const RobotPose & | robotPose
| The pose of the robot.
const BallModel & | ballModel
| The pose of the robot.
const GTCamWorldState & | gtCamWorldState
| The worldstate generated by the GTCam.
ObstaclesModel & | obstaclesModel
| The obstacle model to be calculated.

## Detailed Description

The interfaces of the ObstaclesLocator module.

Definition at line 30 of file ObstaclesLocator.h.

## Constructor & Destructor Documentation

ObstaclesLocatorInterfaces::ObstaclesLocatorInterfaces | ( | const ObstaclesPercept & | obstaclesPercept,
|  | const LinesPercept & | linesPercept,
|  | const LandmarksPercept & | landmarksPercept,
|  | const PSDPercept & | psdPercept,
|  | const CameraMatrix & | cameraMatrix,
|  | const OdometryData & | odometryData,
|  | const PlayerPoseCollection & | playerPoseCollection,
|  | const RobotPose & | robotPose,
|  | const BallModel & | ballModel,
|  | const GTCamWorldState & | gtCamWorldState,
|  | ObstaclesModel & | obstaclesModel
| ) | `[inline]`

| Constructor. Definition at line 34 of file ObstaclesLocator.h.

## Member Data Documentation

const ObstaclesPercept& ObstaclesLocatorInterfaces::obstaclesPercept`[protected]`

| A detected player. Definition at line 61 of file ObstaclesLocator.h.

const LandmarksPercept& ObstaclesLocatorInterfaces::landmarksPercept`[protected]`

| A landmarks percept. Definition at line 64 of file ObstaclesLocator.h.

const LinesPercept& ObstaclesLocatorInterfaces::linesPercept`[protected]`

| A lines percept. Definition at line 67 of file ObstaclesLocator.h.

const PSDPercept& ObstaclesLocatorInterfaces::psdPercept`[protected]`

| An object detected with the PSD sensor. Definition at line 70 of file ObstaclesLocator.h.

const CameraMatrix& ObstaclesLocatorInterfaces::cameraMatrix`[protected]`

| A detected player. Definition at line 73 of file ObstaclesLocator.h.

const OdometryData& ObstaclesLocatorInterfaces::odometryData`[protected]`

| The odometry data that was calculated by the motion modules. Definition at line 76 of file ObstaclesLocator.h.

const PlayerPoseCollection& ObstaclesLocatorInterfaces::playerPoseCollection`[protected]`

| The poses of the other players. Definition at line 79 of file ObstaclesLocator.h.

const RobotPose& ObstaclesLocatorInterfaces::robotPose`[protected]`

| The pose of the robot. Definition at line 82 of file ObstaclesLocator.h.

const BallModel& ObstaclesLocatorInterfaces::ballModel`[protected]`

| The pose of the robot. Definition at line 85 of file ObstaclesLocator.h.

const GTCamWorldState& ObstaclesLocatorInterfaces::gtCamWorldState`[protected]`

| The worldstate generated by the GTCam. Definition at line 88 of file ObstaclesLocator.h.

ObstaclesModel& ObstaclesLocatorInterfaces::obstaclesModel`[protected]`

| The obstacle model to be calculated. Definition at line 91 of file ObstaclesLocator.h.

The documentation for this class was generated from the following file:

- Modules/ObstaclesLocator/ObstaclesLocator.h